﻿@model IEnumerable<NationalTheatre.ViewModels.CategoryViewModel>

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <a asp-area="" asp-controller="Shows" asp-action="Index" class="navbar-brand">Shows</a>
            <a asp-area="" asp-controller="Categories" asp-action="Index" class="navbar-brand">Categories</a>
            <a asp-area="" asp-controller="Cashiers" asp-action="Index" class="navbar-brand">Cashiers</a>

            <a asp-area="" asp-controller="Users" asp-action="Logout" class="navbar-brand" style="margin-left:650px">Log out</a>
        </div>
    </div>
</nav>

<h3>Categories</h3>

<p>
  <a asp-controller="Categories" asp-action="Create">Add</a>
</p>

<table class="table">
  <thead>
    <tr>
      <th>
        Name
      </th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    @foreach (var category in Model)
    {
      <tr>
        <td>
          @category.Name
        </td>
        <td>
          <a asp-action="Edit" asp-controller="Categories" asp-route-id="@category.Id">Edit</a> |
          <a asp-action="Delete" asp-controller="Categories" asp-route-id="@category.Id">Delete</a>
        </td>
      </tr>
    }
  </tbody>
</table>

